Bug 925615 - json-glib: Does not support aarch64 in f19 and rawhide
Summary: json-glib: Does not support aarch64 in f19 and rawhide
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: json-glib
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 00:49 UTC by Dennis Gilmore
Modified: 2013-04-25 14:09 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-17 00:58:24 UTC


Attachments (Terms of Use)

Description Dennis Gilmore 2013-03-23 00:49:27 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  json-glib appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/json-glib/json-glib-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Kalev Lember 2013-04-17 00:58:24 UTC
Fixed in json-glib-0.16.0-1.fc19.

Comment 2 Fedora Update System 2013-04-17 15:36:57 UTC
accountsservice-0.6.31-1.fc19,anjuta-3.8.1-1.fc19,at-spi2-atk-2.8.1-1.fc19,baobab-3.8.1-1.fc19,cheese-3.8.1-1.fc19,clutter-1.14.2-1.fc19,control-center-3.8.1-2.fc19,devhelp-3.8.1-1.fc19,empathy-3.8.1-1.fc19,epiphany-3.8.1-1.fc19,evolution-3.8.1-1.fc19,evolution-data-server-3.8.1-1.fc19,evolution-mapi-3.8.1-1.fc19,file-roller-3.8.1-1.fc19,four-in-a-row-3.8.1-1.fc19,gcr-3.8.1-1.fc19,gdk-pixbuf2-2.28.1-1.fc19,gdm-3.8.1.1-1.fc19,gedit-3.8.1-1.fc19,gedit-plugins-3.8.1-1.fc19,glib2-2.36.1-1.fc19,glibmm24-2.36.0-1.fc19,glib-networking-2.36.1-1.fc19,gnome-backgrounds-3.8.1-1.fc19,gnome-boxes-3.8.1-1.fc19,gnome-calculator-3.8.1-1.fc19,gnome-clocks-3.8.1-1.fc19,gnome-color-manager-3.8.1-1.fc19,gnome-contacts-3.8.1-1.fc19,gnome-desktop3-3.8.1-1.fc19,gnome-documents-3.8.1-1.fc19,gnome-initial-setup-0.9-1.fc19,gnome-keyring-3.8.1-1.fc19,gnome-klotski-3.8.1-1.fc19,gnome-mines-3.8.1-1.fc19,gnome-online-accounts-3.8.1-1.fc19,gnome-packagekit-3.8.1-1.fc19,gnome-photos-3.8.0-1.fc19,gnome-power-manager-3.8.1-1.fc19,gnome-screenshot-3.8.1-1.fc19,gnome-session-3.8.1-1.fc19,gnome-settings-daemon-3.8.1-1.fc19,gnome-shell-3.8.1-1.fc19,gnome-shell-extensions-3.8.1-1.fc19,gnome-sudoku-3.8.1-1.fc19,gnome-system-log-3.8.1-1.fc19,gnome-terminal-3.8.1-1.fc19,gnome-tetravex-3.8.1-1.fc19,gnome-themes-standard-3.8.1-1.fc19,gnome-weather-3.8.1-1.fc19,gtk3-3.8.1-1.fc19,gtkmm30-3.8.0-1.fc19,gtksourceview3-3.8.1-1.fc19,gucharmap-3.8.1-1.fc19,gvfs-1.16.1-1.fc19,iagno-3.8.1-1.fc19,json-glib-0.16.0-1.fc19,libgdl-3.8.1-1.fc19,libgweather-3.8.1-1.fc19,libsoup-2.42.1-1.fc19,lightsoff-3.8.0-1.fc19,mutter-3.8.1-1.fc19,nautilus-3.8.1-1.fc19,orca-3.8.1-1.fc19,pygobject3-3.8.1-1.fc19,rygel-0.18.1-1.fc19,seahorse-3.8.1-1.fc19,seed-3.8.1-1.fc19,sushi-3.8.1-1.fc19,swell-foop-3.8.1-1.fc19,vinagre-3.8.1-1.fc19,vino-3.8.1-1.fc19,vte3-0.34.4-1.fc19,webkitgtk-2.0.1-1.fc19,webkitgtk3-2.0.1-1.fc19,zeitgeist-0.9.12-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/accountsservice-0.6.31-1.fc19,anjuta-3.8.1-1.fc19,at-spi2-atk-2.8.1-1.fc19,baobab-3.8.1-1.fc19,cheese-3.8.1-1.fc19,clutter-1.14.2-1.fc19,control-center-3.8.1-2.fc19,devhelp-3.8.1-1.fc19,empathy-3.8.1-1.fc19,epiphany-3.8.1-1.fc19,evolution-3.8.1-1.fc19,evolution-data-server-3.8.1-1.fc19,evolution-mapi-3.8.1-1.fc19,file-roller-3.8.1-1.fc19,four-in-a-row-3.8.1-1.fc19,gcr-3.8.1-1.fc19,gdk-pixbuf2-2.28.1-1.fc19,gdm-3.8.1.1-1.fc19,gedit-3.8.1-1.fc19,gedit-plugins-3.8.1-1.fc19,glib2-2.36.1-1.fc19,glibmm24-2.36.0-1.fc19,glib-networking-2.36.1-1.fc19,gnome-backgrounds-3.8.1-1.fc19,gnome-boxes-3.8.1-1.fc19,gnome-calculator-3.8.1-1.fc19,gnome-clocks-3.8.1-1.fc19,gnome-color-manager-3.8.1-1.fc19,gnome-contacts-3.8.1-1.fc19,gnome-desktop3-3.8.1-1.fc19,gnome-documents-3.8.1-1.fc19,gnome-initial-setup-0.9-1.fc19,gnome-keyring-3.8.1-1.fc19,gnome-klotski-3.8.1-1.fc19,gnome-mines-3.8.1-1.fc19,gnome-online-accounts-3.8.1-1.fc19,gnome-packagekit-3.8.1-1.fc19,gnome-photos-3.8.0-1.fc19,gnome-power-manager-3.8.1-1.fc19,gnome-screenshot-3.8.1-1.fc19,gnome-session-3.8.1-1.fc19,gnome-settings-daemon-3.8.1-1.fc19,gnome-shell-3.8.1-1.fc19,gnome-shell-extensions-3.8.1-1.fc19,gnome-sudoku-3.8.1-1.fc19,gnome-system-log-3.8.1-1.fc19,gnome-terminal-3.8.1-1.fc19,gnome-tetravex-3.8.1-1.fc19,gnome-themes-standard-3.8.1-1.fc19,gnome-weather-3.8.1-1.fc19,gtk3-3.8.1-1.fc19,gtkmm30-3.8.0-1.fc19,gtksourceview3-3.8.1-1.fc19,gucharmap-3.8.1-1.fc19,gvfs-1.16.1-1.fc19,iagno-3.8.1-1.fc19,json-glib-0.16.0-1.fc19,libgdl-3.8.1-1.fc19,libgweather-3.8.1-1.fc19,libsoup-2.42.1-1.fc19,lightsoff-3.8.0-1.fc19,mutter-3.8.1-1.fc19,nautilus-3.8.1-1.fc19,orca-3.8.1-1.fc19,pygobject3-3.8.1-1.fc19,rygel-0.18.1-1.fc19,seahorse-3.8.1-1.fc19,seed-3.8.1-1.fc19,sushi-3.8.1-1.fc19,swell-foop-3.8.1-1.fc19,vinagre-3.8.1-1.fc19,vino-3.8.1-1.fc19,vte3-0.34.4-1.fc19,webkitgtk-2.0.1-1.fc19,webkitgtk3-2.0.1-1.fc19,zeitgeist-0.9.12-1.fc19

Comment 3 Fedora Update System 2013-04-25 14:09:30 UTC
accountsservice-0.6.31-1.fc19, anjuta-3.8.1-1.fc19, at-spi2-atk-2.8.1-1.fc19, baobab-3.8.1-1.fc19, cheese-3.8.1-1.fc19, clutter-1.14.2-1.fc19, control-center-3.8.1-2.fc19, devhelp-3.8.1-1.fc19, empathy-3.8.1-1.fc19, epiphany-3.8.1-1.fc19, evolution-3.8.1-1.fc19, evolution-data-server-3.8.1-1.fc19, evolution-mapi-3.8.1-1.fc19, file-roller-3.8.1-1.fc19, four-in-a-row-3.8.1-1.fc19, gcr-3.8.1-1.fc19, gdk-pixbuf2-2.28.1-1.fc19, gdm-3.8.1.1-1.fc19, gedit-3.8.1-1.fc19, gedit-plugins-3.8.1-1.fc19, glib2-2.36.1-1.fc19, glibmm24-2.36.0-1.fc19, glib-networking-2.36.1-1.fc19, gnome-backgrounds-3.8.1-1.fc19, gnome-calculator-3.8.1-1.fc19, gnome-clocks-3.8.1-1.fc19, gnome-color-manager-3.8.1-1.fc19, gnome-contacts-3.8.1-1.fc19, gnome-desktop3-3.8.1-1.fc19, gnome-documents-3.8.1-1.fc19, gnome-initial-setup-0.9-1.fc19, gnome-keyring-3.8.1-1.fc19, gnome-klotski-3.8.1-1.fc19, gnome-mines-3.8.1-1.fc19, gnome-online-accounts-3.8.1-1.fc19, gnome-packagekit-3.8.1-1.fc19, gnome-photos-3.8.0-1.fc19, gnome-power-manager-3.8.1-1.fc19, gnome-screenshot-3.8.1-1.fc19, gnome-session-3.8.1-1.fc19, gnome-settings-daemon-3.8.1-1.fc19, gnome-shell-3.8.1-1.fc19, gnome-shell-extensions-3.8.1-1.fc19, gnome-sudoku-3.8.1-1.fc19, gnome-system-log-3.8.1-1.fc19, gnome-terminal-3.8.1-1.fc19, gnome-tetravex-3.8.1-1.fc19, gnome-themes-standard-3.8.1-1.fc19, gnome-weather-3.8.1-1.fc19, gtk3-3.8.1-1.fc19, gtkmm30-3.8.0-1.fc19, gtksourceview3-3.8.1-1.fc19, gucharmap-3.8.1-1.fc19, gvfs-1.16.1-1.fc19, iagno-3.8.1-1.fc19, json-glib-0.16.0-1.fc19, libgdl-3.8.1-1.fc19, libgweather-3.8.1-1.fc19, libsoup-2.42.1-1.fc19, lightsoff-3.8.0-1.fc19, mutter-3.8.1-1.fc19, nautilus-3.8.1-1.fc19, orca-3.8.1-1.fc19, pygobject3-3.8.1-1.fc19, rygel-0.18.1-1.fc19, seahorse-3.8.1-1.fc19, seed-3.8.1-1.fc19, sushi-3.8.1-1.fc19, swell-foop-3.8.1-1.fc19, vinagre-3.8.1-1.fc19, vino-3.8.1-1.fc19, vte3-0.34.4-1.fc19, webkitgtk-2.0.1-1.fc19, webkitgtk3-2.0.1-1.fc19, zeitgeist-0.9.12-1.fc19, gnome-boxes-3.8.1.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.